import { Layer, Viewport, _LayersPass as LayersPass, LayersPassRenderOptions } from '@deck.gl/core';
import type { HeightMapBuilder } from "./height-map-builder.js";
import type { TerrainCover } from "./terrain-cover.js";
export type TerrainPassRenderOptions = LayersPassRenderOptions;
/** Renders textures used by the TerrainEffect render pass */
export declare class TerrainPass extends LayersPass {
    getRenderableLayers(viewport: Viewport, opts: TerrainPassRenderOptions): Layer[];
    renderHeightMap(heightMap: HeightMapBuilder, opts: Partial<TerrainPassRenderOptions>): void;
    renderTerrainCover(terrainCover: TerrainCover, opts: Partial<TerrainPassRenderOptions>): void;
    protected getLayerParameters(layer: Layer<{}>, layerIndex: number, viewport: Viewport): {
        cullMode?: import("@luma.gl/core").CullMode | undefined;
        frontFace?: import("@luma.gl/core").FrontFace | undefined;
        depthBias?: number | undefined;
        depthBiasSlopeScale?: number | undefined;
        depthBiasClamp?: number | undefined;
        unclippedDepth?: boolean | undefined;
        provokingVertex?: "first" | "last" | undefined;
        polygonMode?: "fill" | "line" | undefined;
        polygonOffsetLine?: boolean | undefined;
        clipDistance0?: boolean | undefined;
        clipDistance1?: boolean | undefined;
        clipDistance2?: boolean | undefined;
        clipDistance3?: boolean | undefined;
        clipDistance4?: boolean | undefined;
        clipDistance5?: boolean | undefined;
        clipDistance6?: boolean | undefined;
        clipDistance7?: boolean | undefined;
        topology?: import("@luma.gl/core").PrimitiveTopology | undefined;
        stripIndexFormat?: import("@luma.gl/core").IndexFormat | undefined;
        depthWriteEnabled?: boolean | undefined;
        depthCompare?: import("@luma.gl/core").CompareFunction | undefined;
        depthFormat?: import("@luma.gl/core").DepthStencilTextureFormat | undefined;
        stencilReadMask?: number | undefined;
        stencilWriteMask?: number | undefined;
        stencilCompare?: import("@luma.gl/core").CompareFunction | undefined;
        stencilPassOperation?: import("@luma.gl/core").StencilOperation | undefined;
        stencilFailOperation?: import("@luma.gl/core").StencilOperation | undefined;
        stencilDepthFailOperation?: import("@luma.gl/core").StencilOperation | undefined;
        blendColorOperation?: import("@luma.gl/core").BlendOperation | undefined;
        blendColorSrcFactor?: import("@luma.gl/core").BlendFactor | undefined;
        blendColorDstFactor?: import("@luma.gl/core").BlendFactor | undefined;
        blendAlphaOperation?: import("@luma.gl/core").BlendOperation | undefined;
        blendAlphaSrcFactor?: import("@luma.gl/core").BlendFactor | undefined;
        blendAlphaDstFactor?: import("@luma.gl/core").BlendFactor | undefined;
        colorMask?: number | undefined;
        sampleCount?: number | undefined;
        sampleMask?: number | undefined;
        sampleAlphaToCoverageEnabled?: boolean | undefined;
        blend: boolean;
        depthTest: boolean;
    };
}
//# sourceMappingURL=terrain-pass.d.ts.map